# MeshLoopColorLayer(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MeshLoopColorLayer`(bpy_struct)

  Layer of vertex colors in a Mesh data-block

  `active`

    Sets the layer as active for display and editing

    Type: | boolean, default False

  `active_render`

    Sets the layer as active for rendering

    Type: | boolean, default False

  `data`

    Type: | `bpy_prop_collection` of `MeshLoopColor`, (readonly)

  `name`

    Name of Vertex color layer

    Type: | string, default “”, (never None)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`LoopColors.active` `LoopColors.new` | `LoopColors.remove` `Mesh.vertex_colors`